Skip to main content
Get a single busy-time
curl --request GET \
  --url https://api.splose.com/v1/busy-times/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "start": "2023-07-30T09:00:00.000Z",
  "end": "2023-07-30T09:00:00.000Z",
  "locationId": 1,
  "practitionerIds": [
    1
  ],
  "repeatId": "12345678-abcd-4321-dcba-12a34b56c78d",
  "recurringRule": "DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6",
  "note": "Daily stand-up",
  "deletedAt": "2023-07-30T09:00:00.000Z",
  "busyTimeTypeId": 1,
  "archived": false,
  "createdAt": "2023-07-30T09:00:00.000Z",
  "updatedAt": "2023-07-30T09:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
Required range: x > 0
Example:

1

Response

200 - application/json

Object with busy-time data.

id
integer
required

Busy time id

Required range: x > 0
Example:

1

start
required

Busy time start date time

Example:

"2023-07-30T09:00:00.000Z"

end
required

Busy time end date time

Example:

"2023-07-30T09:00:00.000Z"

locationId
integer
required

The location id of this busy time

Required range: x > 0
Example:

1

practitionerIds
integer[]
required

The practitioner ids of this multiple practitioners busy time

Required range: x > 0
repeatId
string | null
required

An recurring busy time will have this repeat id

Example:

"12345678-abcd-4321-dcba-12a34b56c78d"

recurringRule
string | null
required

The rule for recurring busy time

Example:

"DTSTART:2023080T010000ZRRULE:FREQ=WEEKLY;INTERVAL=2;COUNT=6"

note
string | null
required

Busy time note

Example:

"Daily stand-up"

deletedAt
required

Object archived date time

Example:

"2023-07-30T09:00:00.000Z"

busyTimeTypeId
integer | null

The busy time type id of this multiple practitioners busy time

Required range: x > 0
Example:

1

archived
boolean | null
default:false

Whether the busy time type has been archived

createdAt

Object creation date time

Example:

"2023-07-30T09:00:00.000Z"

updatedAt

Object update date time

Example:

"2023-07-30T09:00:00.000Z"